<?php
class ApiDocumentationAction implements IAction {
	public function execute() {
		$docs = array();
		$docs['help'] = array("description" => "This file");
		$docs['login'] = array("description" => "Log in a user to a session", "method" => "POST", "params" => array("username", "password"));
		$docs['logout'] = array("description" => "Ends the current user session");
		$docs['getprojects'] = array("description" => "Gets a list of projects accessible by the currently logged in account");
		$docs['getfileaccesstoken'] = array("description" => "Retrieves the secure url and auth token params for a file", "method" => "POST", "params" => array("project_id", "filename"));
		return $docs;
	}
}