<html>
<head>
<link rel="stylesheet" type="text/css" href="/css/<?=DOMAIN?>.css" />
<link rel="shortcut icon" href="daktylos.png" type="image/png" />
<style type="text/css">
	#login-window {
		width: 50%;
		height: 50%;
		margin-left: auto;
		margin-right: auto;
		text-align: center;
		padding-top: 20%;
	}
	.row {
		padding: 1px;
	}
</style>
</head>
<body>
<div id="login-window">
	<div id="message" style="visibility:hidden;"></div>
	<div class="row"><label for="username">Username</label> <input id="username" type="username" name="username" placeholder="username or email" /></div>
	<div class="row"><label for="password">Password</label> <input id="password" type="password" name="password" placeholder="password" /></div>
	<div class="row"><button id="login" type="submit">Login</button></div>
</div>

<script type="text/javascript" src="/js/ajax.js"></script>
<script type="text/javascript">
	var message = document.getElementById("message");
	message.style.visibility = "hidden";
	var loginButton = document.getElementById("login");
	loginButton.addEventListener('click', function() { 
		var username = document.getElementById('username').value;
		var password = document.getElementById('password').value;

		postJson("/api/login", {"username": username, "password": password }, function(response) {
			if(response.error) {
				message.innerHTML = response.error;
				message.style.visibility = "visible";
			} else {
				window.location = "/dashboard/";
			}
		});
	}, false);
</script>
</body>
</html>
