<?php
define("ENVIRONMENT", getenv("ENVIRONMENT") ?? "production");

define("ROOT_PATH", dirname(__FILE__));
define("SYSTEM_PATH", "/var/daktylos");
define("LOG_PATH", SYSTEM_PATH . '/logs/');
define("DATA_PATH", SYSTEM_PATH . '/data/');
define("DBNAME", "daktylos-".ENVIRONMENT.".sqlite3");
define("BUCKET_PREFIX", ENVIRONMENT != "production" ? ENVIRONMENT . "-" : "");

function daktylos_autoload($classname){
	require_once ROOT_PATH . "/libs/" . $classname . ".class.php";
}
spl_autoload_register("daktylos_autoload");

session_start();

define("DOMAIN",explode(".", strtolower($_SERVER['HTTP_HOST']))[0]);
